﻿using System;
using Telerik.Windows.Documents.Fixed.UI.Layers;

namespace CustomUILayer
{
    public class CustomUILayersBuilder : UILayersBuilder
    {
        public CustomUILayersBuilder(Highlights highlights)
        {
            this.highlights = highlights;
        }

        private readonly Highlights highlights;

        protected override void BuildUILayersOverride(IUILayerContainer uiLayerContainer)
        {
            uiLayerContainer.UILayers.AddAfter(DefaultUILayers.PagesLayer, new HighlightUILayer(this.highlights));
            uiLayerContainer.UILayers.AddLast(new PageNoUILayer());
        }
    }
}
